Page MenuHome

Renderpreview, Header jumps to bottom with open preferences and render
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce GTX 1060 6GB/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 460.89

Blender Version
Broken: version: 2.93.0 Alpha, branch: master, commit date: 2021-01-31 08:45, hash: rB194f6c7880c8

Short description of error
When you open the preferences and render an image then the render preview will have the header at the bottom, since it renders in the former preferences window. And this editor has the header at the bottom by default.

Exact steps for others to reproduce the error

  • Open Blender.
  • Open the Preferences.
  • Minimize the Preferences Window.
  • With the mouse cursor on the main window, F12 to Render.

Have a look at the header in the render preview. It is now at the bottom.

Revisions and Commits

Event Timeline

Reiner Prokein (tiles) renamed this task from Renderpreview, Header jumps to bottom when open preferences and render again. to Renderpreview, Header jumps to bottom with open preferences and render.Feb 4 2021, 8:19 AM
Reiner Prokein (tiles) created this task.

I cannot reproduce this on the latest master (2.93.0 Alpha, branch: master, commit date: 2021-02-04 02:10, hash: rB4895d1f9cec4) on Linux.

Maybe a Windows only problem. It shows in the newest 2.93 alpha build still.

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Confirmed.Feb 5 2021, 9:31 PM
Germano Cavalcante (mano-wii) updated the task description. (Show Details)
Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".

I could reproduce the problem, but I had to follow the exact steps that I put in the description.

Hm, i don't need to minimize the preferences window. Curious. Thanks for confirming :)

@Reiner Prokein (tiles) - There are some recent changes that might confuse things here.

Using a random older version of Blender, in this example 2.91:

  • Open and then minimize Preferences
  • With the mouse cursor over the main window, F12 to Render.

Exactly as you mentioned, "the render preview will have the header at the bottom, since it renders in the former preferences window. And this editor has the header at the bottom by default"

However, master as of February 3rd (and possibly committed late in the day so not reflected in bot builds until Feb 4th) that behavior changed. With current master, 2.93 alpha, the "renders in the former preferences window" doesn't happen.

  • Open Preferences
  • Click on the main window and notice that Preferences is still "on top", which is a change for the Windows platform
  • Minimize Preferences
  • With the mouse cursor on the main window, F12 to Render.
  • You now have a Render window (with header on top) and you also still have a minimized Preferences window.

So hoping you can confirm this with the latest bleeding edge alpha version of blender.

As told i have no problem to reproduce the error. The builder version that i tested with was from february 4th. Still the newest version that you can download from builder.blender.org. blender-2.93.0-d30320b4f59d-windows64.zip

And i don't need to minimize the preferences. I open Blender, press F12, the rendering then starts in the preferences window. And the header is then at the bottom.

@Reiner Prokein (tiles) - The builder version that i tested with was from february 4th. Still the newest version that you can download from builder.blender.org. blender-2.93.0-d30320b4f59d-windows64.zip
And i don't need to minimize the preferences. I open Blender, press F12, the rendering then starts in the preferences window. And the header is then at the bottom.

Yes, as mentioned these are very recent changes. That build was created at the very start of Feb 4th, just after midnight. You will need a copy of blender that is compiled with sources that are at least one day newer.

The bot building those builds that you can download are currently paused because of an issue with a code-signing service. Hopefully there will be a newer one up soon.

Okay. I will wait for the next official devbuild then, and give a call if the problem persists :)

@Reiner Prokein (tiles) - I will wait for the next official devbuild then, and give a call if the problem persists :)

I am hoping that you'll make a comment on this thread either way. That way we can consider this problem solved as part of this and this.

Sure. But first i need a way to check it :)

Confirming as fixed. The rendering now opens in its own window.